﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ColorRectangles
{
    public static class GraphicsHelper
    {
        public static LinearGradientBrush CreateLinearGradientBrush(Color startColor, Color endColor)
        {
            LinearGradientBrush brush = new LinearGradientBrush();

            brush.StartPoint = new Point(0, 0);
            brush.EndPoint = new Point(0, 1);

            GradientStop gs1 = new GradientStop();
            gs1.Color = startColor;
            gs1.Offset = 0;
            brush.GradientStops.Add(gs1);

            GradientStop gs2 = new GradientStop();
            gs2.Color = endColor;
            gs2.Offset = 1;
            brush.GradientStops.Add(gs2);

            return brush;
        }
    }
}
