﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ColorRectangles
{
    public partial class SilverlightControlRectangle : UserControl
    {
        private static Random rnd = new Random();

        private Color rectangleColor;

        List<Color> rectangleColors = new List<Color>()
            {
                Colors.Green,
                Colors.Blue, Colors.Blue, Colors.Blue, Colors.Blue,
                Colors.Red, Colors.Red, Colors.Red,
                Colors.Gray, Colors.Gray,
                Colors.Orange
            };

        public Color RectangleColor
        {
            get
            {
                return rectangleColor;
            }

            set
            {
                rectangleColor = value;

                RectangleBackground.Fill = GraphicsHelper.CreateLinearGradientBrush(rectangleColor, Color.FromArgb(255, 20, 20, 20));
            }
        }

        public void RandomColor()
        {
            RectangleColor = rectangleColors[rnd.Next(rectangleColors.Count)];
        }

        public SilverlightControlRectangle()
        {
            InitializeComponent();
        }
    }
}
